In app notifications

Get In-App Notification By Id

Get an in-app notification by id for the authenticated customer.

GET
/nudge/in-app-notifications/{inAppNotificationId}

Authorization

bearerAuth
AuthorizationBearer <token>

Customer JWT bearer authentication.

In: header

Path Parameters

inAppNotificationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.dokaai.com/api/v1/dokaai/nudge/in-app-notifications/string"
{
  "status": "success",
  "message": "string",
  "data": {
    "id": "string",
    "payload": {
      "title": "string",
      "subTitle": "string",
      "body": "string",
      "avatar": [
        {
          "iconURL": "string",
          "fallBackName": "string",
          "iconRedirectURL": "string"
        }
      ],
      "attachmentsImage": [
        {
          "iconURL": "string",
          "fallBackName": "string",
          "iconRedirectURL": "string"
        }
      ],
      "attachments": [
        {
          "type": "pdf",
          "fileName": "string",
          "url": "string"
        }
      ],
      "itemRedirect": "string",
      "tags": [
        {
          "tagName": "string",
          "url": "string",
          "icon": "string"
        }
      ],
      "actionButtons": {
        "primary": {
          "name": "string",
          "url": "string",
          "onclickAction": "navigate"
        },
        "secondary": {
          "name": "string",
          "url": "string",
          "onclickAction": "navigate"
        },
        "tertiary": {
          "name": "string",
          "url": "string",
          "onclickAction": "navigate"
        }
      }
    },
    "createdDate": "2019-08-24T14:15:22Z",
    "isRead": true,
    "productSpaceId": "string",
    "uniqueCustomerId": "string"
  },
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}